com.opensymphony.xwork2.validator

## Class DefaultValidatorFileParser

- java.lang.Object
- - com.opensymphony.xwork2.validator.DefaultValidatorFileParser

- All Implemented Interfaces:
    ValidatorFileParser

      public class DefaultValidatorFileParser
      extends Object
      implements ValidatorFileParser

  Parse the validation file. (eg. MyAction-validation.xml, MyAction-actionAlias-validation.xml) to return a List of ValidatorConfig encapsulating the validator information.
  Author:
    Jason Carreira, James House, tm_jee ( tm_jee (at) yahoo.co.uk ), Rob Harrop, Rene Gielen, Martin Gilday
  See Also:
    `ValidatorConfig`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValidatorFileParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMultiTextvalueSeparator()`
    `String` | `getTextValue(Element valueEle)` Extract trimmed text value from the given DOM element, ignoring XML comments.
    `List<ValidatorConfig>` | `parseActionValidatorConfigs(ValidatorFactory validatorFactory, InputStream is, String resourceName)` Parse resource for a list of ValidatorConfig objects (configuring which validator(s) are being applied to a particular field etc.)
    `void` | `parseValidatorDefinitions(Map<String,String> validators, InputStream is, String resourceName)` Parses validator definitions (register various validators with XWork).
    `void` | `setMultiTextvalueSeparator(String type)`
    `void` | `setObjectFactory(ObjectFactory fac)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValidatorFileParser

          public DefaultValidatorFileParser()

  - ### Method Detail

    - #### setMultiTextvalueSeparator

          public void setMultiTextvalueSeparator(String type)

    - #### getMultiTextvalueSeparator

          public String getMultiTextvalueSeparator()

    - #### setObjectFactory

          public void setObjectFactory(ObjectFactory fac)

    - #### parseActionValidatorConfigs

          public List<ValidatorConfig> parseActionValidatorConfigs(ValidatorFactory validatorFactory,
                                                                   InputStream is,
                                                                   String resourceName)

      Description copied from interface: `ValidatorFileParser`
      Parse resource for a list of ValidatorConfig objects (configuring which validator(s) are being applied to a particular field etc.)
      Specified by:
        `parseActionValidatorConfigs` in interface `ValidatorFileParser`
      Parameters:
        `validatorFactory` - a validator factory
        `is` - input stream to the resource
        `resourceName` - file name of the resource
      Returns:
        List list of ValidatorConfig

    - #### parseValidatorDefinitions

          public void parseValidatorDefinitions(Map<String,String> validators,
                                                InputStream is,
                                                String resourceName)

      Description copied from interface: `ValidatorFileParser`
      Parses validator definitions (register various validators with XWork).
      Specified by:
        `parseValidatorDefinitions` in interface `ValidatorFileParser`
      Parameters:
        `validators` - map of validators
        `is` - The input stream
        `resourceName` - The location of the input stream

    - #### getTextValue

          public String getTextValue(Element valueEle)

      Extract trimmed text value from the given DOM element, ignoring XML comments. Appends all CharacterData nodes and EntityReference nodes into a single String value, excluding Comment nodes. This method is based on a method originally found in DomUtils class of Springframework.
      Parameters:
        `valueEle` - the given DOM element
      Returns:
        the text value
      See Also:
        `CharacterData`, `EntityReference`, `Comment`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.